* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: 'Bebas Neue', sans-serif;
}

body {
    height: 100vh;
    width: 100%;
}

#map {
    /* position: relative; */
    height: 100%;
    width: 100%;
}

.mycluster1 {
    position: relative;
    border-radius: 50%;
    
    text-align: center;
    font-size: 24px;
    width: 40px; /* Adjust the width as needed */
    height: 40px; /* Adjust the height as needed */
}

.mycluster1 img {
    width: 100%;
    height: 100%;
    border-radius: 50%;
}

.mycluster1 .cluster-text {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: white;
    z-index: 2; /* Ensure text is above the image */
    font-size: small;
}

.day {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100px;
    width: 100%;
    border-bottom: 1px solid rgba(128, 128, 128, 0.429);
    gap: 5px;
}

.day:hover {
    background-color: rgba(128, 128, 128, 0.429);
}

.day h2 {
    font-size: 25px;
    color: rgba(0, 0, 0, 0.364);
}

.modal {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 2200; /* Sit on top */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}

.modal-content {
    background-color: #fefefe;
    margin: 15% auto; /* 15% from the top and centered */
    padding: 20px;
    border: 1px solid #888;
    width: 50%; /* Could be more or less, depending on screen size */
}

.modal-header {
    padding: 2px 16px;
    background-color: #043B4B;
    color: white;
    text-align: center;
}

.modal-body {
    padding: 20px 16px;
    /* border: 2px solid red; */
    text-align: center;
}

.modal-body label {
    font-size: 30px;
}

#dateStart {
    font-size: 30px;
    border-radius: 10px;
    padding: 5px;
}

#dateStart:hover {
    background-color: rgba(0, 0, 0, 0.306);
}


.modal h1 {
    font-size: 25px;
}

.close {
    color: #fff;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close:hover,
.close:focus {
  color: black;
  text-decoration: none;
  cursor: pointer;
}

.newDay {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    padding: 5px 5px;
    padding-top: 20px;
    padding-bottom: 25px;
    height: auto;
    width: 100%;
    border-bottom: 1px solid rgba(128, 128, 128, 0.429);
}

.newDayBody {
    width: 100%;
    /* border: 2px solid red; */
    display: flex;
    flex-direction: column;
}

.newDayBody .route-path-container {
    text-align: center;
    align-self: center;
    width: 100%;
    /* border: 2px solid red; */
}

.day-header {
    /* border: 2px solid red; */
    font-size: 25px;
    width: 100%;
    display: flex;
    justify-content: space-between;
}


.edit-btn {
    display: block;
    color: grey;
}

.edit-btn .inactive {
    display: none;
}

.selectBtnContainer {
    text-align: left;
    width: 100%;
}

.selectBtns {
    height: 40%;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 25px;
    /* border: 1px solid rgba(128, 128, 128, 0.429); */
    cursor: pointer;
}

.selectBtns:hover {
    background-color: rgba(128, 128, 128, 0.429);
}

.selectBtnSpan {
    display: flex;
    width: 100%;
    padding: 5px 10px;
    justify-content: flex-start;
    align-items: center;
    font-size: 20px;
    gap: 10px;
    color: gray;
}

.selectBtnSpan img {
    height: auto;
    width: 25px;
}

.deleteDayBtn {
    margin-top: 25px;
    height: 100%;
    width: 80%;
    margin: auto;
    margin-top: 25px;
    color: white;
    font-size: 25px;
    background-color: red;
    display: none;
}

.deleteDayBtn:hover {
    background-color: rgba(255, 0, 0, 0.668);
}

.route-path-container {
    padding-top: 0;
    width: 80%;
    border-top: 0.5px solid rgba(128, 128, 128, 0.552);
    border-bottom: 0.5px solid rgba(128, 128, 128, 0.561);
    
}

.route-path-container span {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    gap: 7px;
    cursor: pointer;
}


.route-path-container img {
    height: auto;
    width: 15px;
}

.route-path-container span p {
    color: grey;
    font-size: 16px;
}

.route-path-container span p:hover {
    color: darkgrey;
}

.route-path-span {
    display: flex;
    text-align: left;
    justify-content: space-around;
    /* border: 2px solid red; */
}

.route-path-container .route-path-span p {
    /* border: 2px solid red; */
    font-size: 12px;
}

.confirmDayBtn {
    height: 50px;
    width: 60%;
    border-radius: 10px;
    background-color: green;
    color: white;
    font-size: 25px;
    margin: auto;
    margin-top: 25px;
}

.start  {
    width: 50%;
    position: absolute;
    z-index: 2000;
    text-align: center;
    padding-top: 25px;

    margin-left: 400px;
    /* border: 2px solid red; */
}

.start button {
    height: 60px; 
    width: 225px;
    background-color: #043B4B;
    color: white;
   
}

.start button:hover {
    background-color: #043a4bae;
}

.park-dropdown {
    display: flex;
    flex-direction: column;
    border-radius: 18px;
    background-color: #fff;
    position: absolute;
    margin-left: 1225px;
    margin-top: 25px;
    z-index: 2000;
    cursor: pointer;
}

.dropdown-header {
    display: flex;
    height: 50px; 
    width: 225px;
    justify-content: space-around;
    align-items: center;
    border-radius: 18px;
    cursor: pointer;
}

.dropdown-header:hover {
    background-color: #d6d1d1ed;
}

.dropdown-header p {
    font-size: 25px;
}

.select-clicked {
    border: 2px #26489a solid;
    box-shadow: 0 0 0.8em #26489a;
}

.menu {
    background-color: #fff;
    list-style: none;
    position: absolute;
    width: 100%;
    border-radius: 18px;
    top: 5em;
    display: none;
    opacity: 0;
    z-index: 3000;
}

.menu li {
    font-size: 25px;
    cursor: pointer;
    width: 100%;
    border-radius:  18px;
    padding-top: 0.5em;
    padding-left: 0.75em;
    padding-bottom: 0.25em;
}

.menu li:hover {
    background-color: #c8bdbded;
    width: 100%;
}

/* .active {
    background: #fff;
    padding: 1em 2em;
} */

.menu-open {
    display: block;
    opacity: 1;
}

#addDay {
    cursor: pointer
}

.pdf-btn-container {
    padding-top: 2em;
    width: 100%;
    text-align: center;
    /* position: absolute;
    bottom: 0; */
}

#pdf {
    height: 55px;
    width: 250px;
    background-color: #FE6F2F;
    border-radius: 18px;
    color: white;
    font-size: 20px;
}

.icons-container h2 {
    font-size: 25px;
}

.path-table {
    /* border: 2px solid blue; */
    display: block;
    width: 100%;
    font-size: 18px;
    align-items: center;
}

.path-table th {
    text-align: left;
    padding-bottom: 1em;
    padding-top: 1em;
}

.path-row {
    text-align: left;
    padding-left: 1em;
}

.path-row td {
    color: rgb(86, 84, 84);
}

@media(max-width: 890px) {
    .park-dropdown {
        margin-left: 575px;
    }
}